space_travel = {}
space_travel.recipe_multidimensions = minetest.settings:get_bool('space_travel_recipe_multidimensions') or true
space_travel.yarth = tonumber(minetest.settings:get('space_travel_yarth') or 4000)
space_travel.yarth_orbit = tonumber(minetest.settings:get('space_travel_yarth_orbit') or 4500)
space_travel.luna = tonumber(minetest.settings:get('space_travel_luna') or 5500)
space_travel.luna_orbit = tonumber(minetest.settings:get('space_travel_luna_orbit') or 6000)
space_travel.mars = tonumber(minetest.settings:get('space_travel_mars') or 7000)
space_travel.mars_orbit = tonumber(minetest.settings:get('space_travel_mars_orbit') or 7500)
space_travel.mercury = tonumber(minetest.settings:get('space_travel_mercury') or 8000)
space_travel.mercury_orbit = tonumber(minetest.settings:get('space_travel_mercury_orbit') or 8500)
space_travel.venus = tonumber(minetest.settings:get('space_travel_venus') or 9000)
space_travel.venus_orbit = tonumber(minetest.settings:get('space_travel_venus_orbit') or 9500)
space_travel.ganymede = tonumber(minetest.settings:get('space_travel_ganymede') or 10000)
space_travel.ganymede_orbit = tonumber(minetest.settings:get('space_travel_ganymede_orbit') or 10500)
space_travel.callisto = tonumber(minetest.settings:get('space_travel_callisto') or 11000)
space_travel.callisto_orbit = tonumber(minetest.settings:get('space_travel_callisto_orbit') or 11500)
space_travel.io = tonumber(minetest.settings:get('space_travel_io') or 12000)
space_travel.io_orbit = tonumber(minetest.settings:get('space_travel_io_orbit') or 12500)
space_travel.europa = tonumber(minetest.settings:get('space_travel_europa') or 13000)
space_travel.europa_orbit = tonumber(minetest.settings:get('space_travel_europa_orbit') or 13500)
space_travel.titan = tonumber(minetest.settings:get('space_travel_titan') or 14500)
space_travel.titan_orbit = tonumber(minetest.settings:get('space_travel_titan_orbit') or 15000)
space_travel.oberon = tonumber(minetest.settings:get('space_travel_oberon') or 16000)
space_travel.oberon_orbit = tonumber(minetest.settings:get('space_travel_oberon_orbit') or 16500)
space_travel.triton = tonumber(minetest.settings:get('space_travel_triton') or 17500)
space_travel.triton_orbit = tonumber(minetest.settings:get('space_travel_triton_orbit') or 18000)
space_travel.pluto = tonumber(minetest.settings:get('space_travel_pluto') or 19000)
space_travel.pluto_orbit = tonumber(minetest.settings:get('space_travel_pluto_orbit') or 19500)
space_travel.charon = tonumber(minetest.settings:get('space_travel_charon') or 20500)
space_travel.charon_orbit = tonumber(minetest.settings:get('space_travel_charon_orbit') or 21000)
space_travel.sedna = tonumber(minetest.settings:get('space_travel_sedna') or 22000)
space_travel.sedna_orbit = tonumber(minetest.settings:get('space_travel_sedna_orbit') or 22500)
space_travel.asteriod_belt = tonumber(minetest.settings:get('space_travel_asteriod_belt') or 23000)
space_travel.asteriod_belt_orbit = tonumber(minetest.settings:get('space_travel_asteriod_belt_orbit') or 23500)
space_travel.minerva = tonumber(minetest.settings:get('space_travel_minerva') or 24500)
space_travel.minerva_orbit = tonumber(minetest.settings:get('space_travel_minerva_orbit') or 25000)
space_travel.bacchus = tonumber(minetest.settings:get('space_travel_bacchus') or 26000)
space_travel.bacchus_orbit = tonumber(minetest.settings:get('space_travel_bacchus_orbit') or 26500)
space_travel.ourea = tonumber(minetest.settings:get('space_travel_ourea') or 27500)
space_travel.ourea_orbit = tonumber(minetest.settings:get('space_travel_ourea_orbit') or 28000)
space_travel.osiris = tonumber(minetest.settings:get('space_travel_osiris') or 29000)
space_travel.osiris_orbit = tonumber(minetest.settings:get('space_travel_osiris_orbit') or 29500)
space_travel.minthe = tonumber(minetest.settings:get('space_travel_minthe') or 30500)
space_travel.minthe_orbit = tonumber(minetest.settings:get('space_travel_minthe_orbit') or 31000)

dofile(minetest.get_modpath("space_travel") .. "/sky.lua")
dofile(minetest.get_modpath("space_travel") .. "/nodes.lua")
dofile(minetest.get_modpath("space_travel") .. "/radiation.lua")
dofile(minetest.get_modpath("space_travel") .. "/items.lua")
dofile(minetest.get_modpath("space_travel") .. "/space_drives.lua")
dofile(minetest.get_modpath("space_travel") .. "/crafting_recipes.lua")
dofile(minetest.get_modpath("space_travel") .. "/dimensions.lua")
dofile(minetest.get_modpath("space_travel") .. "/vacuum.lua")

--[[
Dimension name  | #
----------------+---
Earth           |  0
Luna (the moon) |  1
Mars            |  2
Mercury         |  3
Venus           |  4
Ganymede        |  5
Callisto        |  6
Io              |  7
Europa          |  8
Titan           |  9
Oberon          | 10
Triton          | 11
Pluto           | 12
Charon          | 13
Sedna           | 14
Asteriod Belt   | 15
Minerva         | 16
Bacchus         | 17
Ourea           | 18
Osiris          | 19
Minthe          | 20
]]

--TODO
--[[
* make block, brick, stair, and slab versions of sedna stone
* figure out how alien dirt such as minerva dirt can be farmed or if it should be farmed
* make terraformer tool
* make titanium tools
* make artificial gravity generator (maybe)
]]
if space_travel.recipe_multidimensions then
    minetest.clear_craft({
        output = "multidimensions:teleporter_cold"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_desert"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_earthlike1"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_earthlike2"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_flatland"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_floatandlike"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_hot"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_sandstone"
    })
    minetest.clear_craft({
        output = "multidimensions:teleporter_water"
    })
end

